Featherlane AI
ReferenceHTTP API

Llm usage

GET
/v1/llm-usage

Query Parameters

principal_id?string

Filter by principal

model?string

Filter by raw model string

kind?string

Usage owner: customer_inference or guardrail

start?string

RFC 3339 window start (inclusive)

end?string

RFC 3339 window end (exclusive)

group_by?string

Rollup: day, principal, or model. Omitted = raw event list

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/llm-usage"
{  "events": [    {      "api_key_id": "string",      "completion_tokens": 0,      "cost_minor": 0,      "cost_usd_nanos": "string",      "currency": "string",      "effective_at": "string",      "id": "string",      "kind": "customer_inference",      "metadata": null,      "model": "string",      "principal_id": "string",      "prompt_tokens": 0,      "request_id": "string",      "workspace_id": "string"    }  ]}